package com.example.automize_web_app;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.os.Handler;
import android.widget.TextView;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.ContextCompat;

public class SplashActivity extends AppCompatActivity {

    TextView text;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_splash_activity);

        text = findViewById(R.id.welcome);

//        GETs the CURRENT MODE OF USER's PHONE, DARK MODE / LIGHT MODE
        int nightModeFlags = getResources().getConfiguration().uiMode & Configuration.UI_MODE_NIGHT_MASK;

//        IF DARK MODE IS ON, then CHANGE COLOR of Text TO WHITE & Vice-Versa
        if(nightModeFlags == Configuration.UI_MODE_NIGHT_YES)
            text.setTextColor(ContextCompat.getColor(this, R.color.white));
        else
            text.setTextColor(ContextCompat.getColor(this,R.color.black));

        new Handler().postDelayed(new Runnable() {
            @Override
            public void run() {
                Intent intent = new Intent(SplashActivity.this, MainActivity.class);
                startActivity(intent);
                finish();
            }
        },2000);
    }
}