PROJECT_PATH="/home/appbuildermydssw/public_html/Automizing_Web_app_logo/Automize_web_app"
LOG_FILE="/home/appbuildermydssw/public_html/Automizing_Web_app_logo/build_script_log.txt"
export JAVA_HOME="/usr/lib/jvm/java-17-openjdk-17.0.12.0.7-2.el8.x86_64"
export PATH="$JAVA_HOME/bin:$PATH"
cd "$PROJECT_PATH" || { echo "Failed to change directory to $PROJECT_PATH"; exit 1; }
STORE_PASSWORD=$1
KEY_PASSWORD=$1
CN=$2
OU=$3
O=$4
L=$5
ST=$6
C=$7
DNAME="CN=$CN, OU=$OU, O=$O, L=$L, ST=$ST, C=$C"
echo "Running Keytool to generate a signing key..." >> "$LOG_FILE"
keytool -genkey -v -keystore app/my-release-key.jks -keyalg RSA -keysize 2048 -validity 10000 -alias my-alias -storepass "$STORE_PASSWORD" -keypass "$KEY_PASSWORD" -dname "$DNAME" >> "$LOG_FILE" 2>&1
export STORE_PASSWORD="$STORE_PASSWORD"
export KEY_PASSWORD="$KEY_PASSWORD"
./gradlew assembleRelease bundleRelease >> "$LOG_FILE" 2>&1